FileUploadServiceImpl

com.j0h1.contour.admin.server

## Class FileUploadServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - gwtupload.server.UploadServlet
      - - gwtupload.server.UploadAction
        - - com.j0h1.contour.admin.server.FileUploadServiceImpl

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class FileUploadServiceImpl
      extends gwtupload.server.UploadAction

  Service implementation that handles image uploads.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.Hashtable<java.lang.String,java.lang.String>` | `receivedContentTypes`
    `(package private) java.util.Hashtable<java.lang.String,java.lang.String>` | `receivedFiles`
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class gwtupload.server.UploadServlet

      `DEFAULT_REQUEST_LIMIT_KB, DEFAULT_SLOW_DELAY_MILLIS, logger, maxSize, perThreadRequest, uploadDelay, useBlobstore, XML_CANCELED_TRUE, XML_DELETED_TRUE, XML_ERROR_ITEM_NOT_FOUND, XML_ERROR_TIMEOUT, XML_FINISHED_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `executeAction(javax.servlet.http.HttpServletRequest request, java.util.List<org.apache.commons.fileupload.FileItem> sessionFiles)`
    `void` | `getUploadedFile(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Get the content of an uploaded file.

    - ### Methods inherited from class gwtupload.server.UploadAction

      `doGet, doPost, getFileStream, getFormField, init, removeItem, removeItem`

    - ### Methods inherited from class gwtupload.server.UploadServlet

      `cancelUpload, checkRequest, copyFromInputStreamToOutputStream, createNewListener, findFileItem, findItemByFieldName, findItemByFileName, finish, getBlobstorePath, getCurrentListener, getFileItemFactory, getFileItemsSummary, getInitParameter, getLastReceivedFileItems, getLastReceivedFileItems, getMessage, getMyLastReceivedFileItems, getMySessionFileItems, getSessionFileItems, getSessionFileItems, getSessionFilesKey, getSessionItems, getSessionLastFilesKey, getThreadLocalRequest, getUploadStatus, isAppEngine, parsePostRequest, removeCurrentListener, removeSessionFileItems, removeSessionFileItems, removeSessionFileItems, removeSessionFileItems, removeSessionFiles, removeUploadedFile, renderHtmlMessage, renderMessage, renderXmlResponse, renderXmlResponse, service, setThreadLocalRequest, stackTraceToString, statusToString`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### receivedContentTypes

          java.util.Hashtable<java.lang.String,java.lang.String> receivedContentTypes

    - #### receivedFiles

          java.util.Hashtable<java.lang.String,java.lang.String> receivedFiles

  - ### Constructor Detail

    - #### FileUploadServiceImpl

          public FileUploadServiceImpl()

  - ### Method Detail

    - #### executeAction

          public java.lang.String executeAction(javax.servlet.http.HttpServletRequest request,
                                                java.util.List<org.apache.commons.fileupload.FileItem> sessionFiles)
                                         throws gwtupload.server.exceptions.UploadActionException

      Overrides:
        `executeAction` in class `gwtupload.server.UploadAction`
      Throws:
        `gwtupload.server.exceptions.UploadActionException`

    - #### getUploadedFile

          public void getUploadedFile(javax.servlet.http.HttpServletRequest request,
                                      javax.servlet.http.HttpServletResponse response)
                               throws java.io.IOException

      Get the content of an uploaded file.
      Overrides:
        `getUploadedFile` in class `gwtupload.server.UploadServlet`
      Throws:
        `java.io.IOException`